GET /whatsapp/templates

Templates (exact name and language filters)

GET
/whatsapp/templates

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId*string

WhatsApp account id

name?string

Exact name

language?string

Exact language

status?string

Status

Response Body

{success, templates}

application/json
  1. response
success?boolean
templates?array<>
Example Request
curl -X GET 'https://example.com/api/v1/whatsapp/templates?accountId=string'
Example Response
{  "success": true,  "templates": [    {      "id": "string",      "name": "string",      "status": "string",      "category": "string",      "language": "string",      "components": [        {}      ],      "message_send_ttl_seconds": 0,      "rejected_reason": "string",      "quality_score": {}    }  ]}